/* servpart.PHP SECTION */

.servpart-section {
    width: 1200px;
    background: rgba(0, 0, 0, .5);
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, .2);
    margin: 20px auto;
    display: flex;
    overflow: hidden;
}

.servpart-title {
    font-family: Arial, sans-serif; 
    margin: 0 auto 10px auto; 
    text-transform: uppercase;
    font-weight: 700;
    color: #fff;
    text-align: center; 
}

.servpart-list {
    display: table;
    width: 60%;
    margin: 20px;
}

.servpart-list li {
    margin-bottom: 15px;
}

.servpart-list a {
    padding: 10px 20px;
    background-color: #333;
    border-radius: 8px;
    font-weight: 600;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.servpart-list a:hover {
    background-color: #555;
    transform: translateY(-5px);
}

.servpart-columns, .quick-access-columns {
    display: flex;
    gap: 40px;
}

.servpart-column, .qa-column {
    list-style: none; 
    padding: 0;
    margin: 0;
    width: 100%;
}

.servpart-column li, .qa-column li {
    margin-bottom: 20px;
}

.servpart-column a, .qa-column a {
    color: #fff;
    text-decoration: none;
    font-size: 20px;
    display: flex;
    align-items: center;
}

.servpart-column i, .qa-column i {
    margin-right: 10px;
    font-size: 24px;
}

.servpart-column a:hover, .qa-column a:hover {
    color: #f0a500; 
    transition: color 0.3s;
}

.servpart-slideshow {
    width: 40%; 
    height: 400px;;
    position: relative;
}

.mySlides {
    transition: opacity 1s ease-in-out;
}

.mySlides img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    margin-left: 20px; 
    transform: translateX(10px);
}

.mySlides.active {
    display: block;
    opacity: 1;
}

.arrow-container {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.arrow-up,
.arrow-down {
    font-size: 24px;
    color: #fff;
    cursor: pointer;
    margin: 10px 0;
}

.arrow-up:hover, .arrow-down:hover {
    color: #f0a500;
    transition: color 0.3s;
}

.servpart-title-2 {
    display: none;
}

.servpart-divider {
    border: 0;
    height: 1px;
    background: #444;
    margin: 10px 0 20px;
}

@media (max-width: 1024px) {

    .dot-container,
    .arrow-container {
        display: none;
    }

    .servpart-section {
        width: 90%; 
        padding: 10px; 
        flex-direction: column;
        align-items: center;
    }

    .servpart-slideshow {
        display: flex;
        justify-content: center;
        order: 1; 
        width: 100%;
        border-radius: 10px;
        height: 100%;
        padding: 0;
        margin-bottom: 20px;
    }

    .slideshow-container {
        width: 100%;
        height: 250px; 
        border-radius: 10px;
        margin: 0 auto;
        overflow: hidden;
    }

    .mySlides img {
        width: 100%;
        height: 100%;
        margin-left: 0; 
        object-fit: cover;
        transform: translateX(0);
    }

    .servpart-title {
        text-align: center;
        margin: 10px 0;
        font-size: 30px;
        width: 100%;
    }

    .servpart-list {
        order: 3;
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 20px;
        margin-top: 0;
        padding: 0 0 20px 0;
    }

    .servpart-list a {
        width: 100%;
        font-size: 18px;
        padding: 10px 15px;
        text-align: center;
    }

    .servpart-divider {
        width: 100%;
        max-width: 1200px;
        border: 0;
        height: 1px;
        background: #444;
        margin: -10px 0 10px;
    }


}

@media (max-width: 768px) {

    .servpart-section {
        width: 90%; 
        padding: 10px; 
        flex-direction: column;
        align-items: center;
    }

    .servpart-slideshow {
        display: flex;
        justify-content: center;
        order: 1; 
        width: 100%; 
        border-radius: 10px;
        height: 100%;
        padding: 0;
        margin-bottom: 20px;
    }

    .slideshow-container {
        width: 100%;
        height: 250px; 
        border-radius: 10px;
        margin: 0 auto;
        overflow: hidden;
    }

    .mySlides img {
        width: 100%;
        height: 100%;
        margin-left: 0;
        object-fit: cover;
        transform: translateX(0); 
    }

    .servpart-title {
        order: 0;
        text-align: center;
        margin: 10px 0;
        font-size: 26px;
    }

    .servpart-list {
        order: 3;
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 10px; 
        margin-top: 0;
        margin-bottom: 0;
        padding: 0;
    }

    .servpart-list a {
        width: 150px;
        height: 60px;
        font-size: 14px;
        padding: 8px 10px; 
        text-align: center; 
        overflow: hidden; 
        text-overflow: ellipsis;
        box-sizing: border-box;
        max-width: 100%;
    }

    .servpart-divider {
        margin: -10px 0 10px ;
    }

}